// Code generated by go-swagger; DO NOT EDIT.

package backup_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// DeleteBackupRuntimeEnvironmentsOKCode is the HTTP code returned for type DeleteBackupRuntimeEnvironmentsOK
const DeleteBackupRuntimeEnvironmentsOKCode int = 200

/*DeleteBackupRuntimeEnvironmentsOK RuntimeAppInstance deleted with success

swagger:response deleteBackupRuntimeEnvironmentsOK
*/
type DeleteBackupRuntimeEnvironmentsOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeEnvironmentBackup `json:"body,omitempty"`
}

// NewDeleteBackupRuntimeEnvironmentsOK creates DeleteBackupRuntimeEnvironmentsOK with default headers values
func NewDeleteBackupRuntimeEnvironmentsOK() *DeleteBackupRuntimeEnvironmentsOK {

	return &DeleteBackupRuntimeEnvironmentsOK{}
}

// WithPayload adds the payload to the delete backup runtime environments o k response
func (o *DeleteBackupRuntimeEnvironmentsOK) WithPayload(payload *models.RuntimeEnvironmentBackup) *DeleteBackupRuntimeEnvironmentsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the delete backup runtime environments o k response
func (o *DeleteBackupRuntimeEnvironmentsOK) SetPayload(payload *models.RuntimeEnvironmentBackup) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *DeleteBackupRuntimeEnvironmentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
